```wmd-options
language = es
title_i18n = anyanka_keys_title_documentation_targets
title_text = Objetivos - Documentación - AnyankaKeys
```

<!-- [[wmd]] -->

## Objetivos

Los objetivos a alcanzar en este proyecto van determinados a partir de lo que Srx00 considera seguro, eficiente y fiable a la hora de trabajar cifrado, codificación, encriptación y hasheado. Es importante tener en cuenta la diferencia entre estos términos según Srx00 para entender al 100% la filosofía, idea y objetivos de este proyecto. A continuación se exponen los objetivos a lograr con este proyecto.

- [X] Creación del proyecto Git.
- [-] creación de la documentación.
    - [X] Instalación de WMarkDown sobre AnP para la Web.
    - [X] Documentar descripción del proyecto.
    - [ ] Crear página de proyectos que usa y proyectos que lo utilizan que hallan sido reportados voluntariamente.
    - [ ] Crear página de descripción de diseño y estilos.
    - [ ] Crear manual de integración entre las distintas tecnologías y plataformas.
    - [ ] Crear manual básico de usuario desarrollador para integración con proyectos externos.
    - [ ] Crear página de documentación de librería completa universal.
    - [ ] Crear página de F.A.Q.
    - [ ] Crear página de visualización de Bugs y errores reportados y sus estados actuales.
    - [X] Crear página de objetivos y sus estados actuales.
    - [ ] Crear página de la propia Dev Jam.
    - [ ] Crear página de opiniones y comentarios reportados.
    - [ ] Crear página de donaciones.
- [ ] Crear filosofía de desarrollo a partir de un sistema basado en objetos y Callbacks para gestionar durante la iteración de los elementos.
- [ ] Crear métodos estáticos pertenencientes a la metodología iterativa de recorrido de los elementos a partir de Bytes y procesado a partir de Callbacking.
    - [ ] Desarrollar protocolo matemático de cambio de base sobre una matriz numérica.
    - [ ] Desarrollar sistema de sumatorio recursivo sobre la base de trabajo.
    - [ ] Desarrollar sistema de interpretación de cadenas.
        - [ ] Diseñar sistema de alfabetos.
        - [ ] Desarrollar sistema de obfuscación en base a una cadena privada.
- [ ] Desarrollar sistema de Hashing cuya inversa pueda dar múltiples resultados distintos y con longitud limitada para evitar extracción de información a partir de X Bytes, *lo que no evita la fuerza bruta*.
- [ ] Crear plantilla de testeo y verificación masiva.
- [ ] Hacer desarrollo de dicha tecnología en:
    - [ ] ECMAScript/JavaScript.
    - [ ] Python.
    - [ ] C#.
    - [ ] PHP.
    - [ ] Rust.
    - [ ] Java.
    - [ ] Kotlin.
- [-] Publicar.
    - [X] Crear aplicación AnP.
    - [X] Crear dominio (https://anyankakeys.k3y.pw).
    - [ ] Desplegar en el servidor.

<!-- [[wmd]] -->